Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

Solved Go to solution
Highlighted

could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

Hi,

It's a multi-node cluster and while starting zookeeper in ambari UI on a server (server1), it's getting failed with below error. Zookeeper server is running on remaing servers.

Can any one please help me to resolve this issue?

4230-zookeeper-failure.jpg

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

Super Collaborator

Wow ... that's a problem with the RPMs I think. Here's how to fix it:

rm -r /usr/hdp/current/zookeeper-server
ln -s /usr/hdp/2.2.9.0-3393/zookeeper /usr/hdp/current/zookeeper-server

View solution in original post

5 REPLIES 5
Highlighted

Re: could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

Super Collaborator

This is saying that you're missing either a ZK file or ZK symlink. Can you post the output of

ls -l /usr/hdp/current | grep zookeeper
ls -l /usr/hdp/current/zookeeper-server/bin
Highlighted

Re: could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

[root@server1 Desktop]# ls -l /usr/hdp/current/ | grep zookeeper
lrwxrwxrwx 1 root root   31 May 12 23:15 zookeeper-client -> /usr/hdp/2.2.9.0-3393/zookeeper
drwxr-xr-x 3 root root 4096 May 12 23:30 zookeeper-server
[root@server1 Desktop]# ls -l /usr/hdp/current/zookeeper-server/bin
ls: cannot access /usr/hdp/current/zookeeper-server/bin: No such file or directory
[root@server1 Desktop]# 

Highlighted

Re: could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

Super Collaborator

Wow ... that's a problem with the RPMs I think. Here's how to fix it:

rm -r /usr/hdp/current/zookeeper-server
ln -s /usr/hdp/2.2.9.0-3393/zookeeper /usr/hdp/current/zookeeper-server

View solution in original post

Re: could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

Thanks a lot!!

It worked!

Highlighted

Re: could not determine HDP version for component zookeepr-server by calling /usr/bin/hdp-select status

Thanks Jonathan, i have been battling with this for a week, this tip helped, i had symlink errors with accumulo-client installation of HDP 2.4

Don't have an account?
Coming from Hortonworks? Activate your account here